Bug 987875 - Error when selecting host as SPM in uninitialized data center
Error when selecting host as SPM in uninitialized data center
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity low
: ---
: 3.3.1
Assigned To: Tal Nisan
Aharon Canan
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 06:58 EDT by Omer Frenkel
Modified: 2016-02-10 14:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
We should add to the documentation that the select host as SPM option works only when the storage pool associated to the host is in Up status
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 06:52:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19123 None None None Never

  None (edit)
Description Omer Frenkel 2013-07-24 06:58:15 EDT
Description of problem:
the following error appears when selecting host as SPM in uninitialized data center:
"Error while executing action ForceSelectSPM: Error connecting to the Storage Pool Manager service.
Possible reasons:
- Storage Pool Manager service is in non-active state.
- No Active Host in the Data Center."

Version-Release number of selected component (if applicable):
3.3

How reproducible:
always

Steps to Reproduce:
1.create new dc+cluster
2.add new host to the cluster
3.right click the host and choose "select as spm"

Actual results:
the error above in UI, and in the log:

2013-07-24 13:47:37,966 INFO  [org.ovirt.engine.core.bll.InitVdsOnUpCommand] (DefaultQuartzScheduler_Worker-51) Running command: InitVdsOnUpCommand internal: true. Entities affected :  ID: fa2f3906-7389-4f48-9bb7-1a57ac3716cd Type: StoragePool
2013-07-24 13:47:37,969 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.SetMOMPolicyParametersVDSCommand] (DefaultQuartzScheduler_Worker-51) START, SetMOMPolicyParametersVDSCommand(HostName = nott07.eng.lab, HostId = 2f98db8c-7f53-43ac-b3ee-258afc3a343a), log id: 4121693e
2013-07-24 13:47:37,969 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.SetMOMPolicyParametersVDSCommand] (DefaultQuartzScheduler_Worker-51) FINISH, SetMOMPolicyParametersVDSCommand, log id: 4121693e
2013-07-24 13:47:37,970 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (DefaultQuartzScheduler_Worker-51) Correlation ID: null, Call Stack: null, Custom Event ID: -1, Message: Failed to verify Power Management configuration for Host nott07.eng.lab.
2013-07-24 13:47:37,986 INFO  [org.ovirt.engine.core.bll.HandleVdsCpuFlagsOrClusterChangedCommand] (DefaultQuartzScheduler_Worker-51) Running command: HandleVdsCpuFlagsOrClusterChangedCommand internal: true. Entities affected :  ID: 2f98db8c-7f53-43ac-b3ee-258afc3a343a Type: VDS
2013-07-24 13:47:37,990 INFO  [org.ovirt.engine.core.bll.HandleVdsVersionCommand] (DefaultQuartzScheduler_Worker-51) Running command: HandleVdsVersionCommand internal: true. Entities affected :  ID: 2f98db8c-7f53-43ac-b3ee-258afc3a343a Type: VDS
2013-07-24 13:49:43,667 INFO  [org.ovirt.engine.core.bll.ForceSelectSPMCommand] (ajp--127.0.0.1-8702-8) Running command: ForceSelectSPMCommand internal: false. Entities affected :  ID: 2f98db8c-7f53-43ac-b3ee-258afc3a343a Type: VDS
2013-07-24 13:49:43,667 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.SpmStopOnIrsVDSCommand] (ajp--127.0.0.1-8702-8) START, SpmStopOnIrsVDSCommand( storagePoolId = fa2f3906-7389-4f48-9bb7-1a57ac3716cd, ignoreFailoverLimit = false), log id: 7e319d34
2013-07-24 13:49:43,668 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.SpmStopOnIrsVDSCommand] (ajp--127.0.0.1-8702-8) FINISH, SpmStopOnIrsVDSCommand, log id: 7e319d34
2013-07-24 13:49:43,668 ERROR [org.ovirt.engine.core.bll.ForceSelectSPMCommand] (ajp--127.0.0.1-8702-8) Command org.ovirt.engine.core.bll.ForceSelectSPMCommand throw Vdc Bll exception. With error message VdcBLLException: Cannot allocate IRS server (Failed with VDSM error IRS_REPOSITORY_NOT_FOUND and code 5009)
2013-07-24 13:49:43,696 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp--127.0.0.1-8702-8) Correlation ID: 11ce76c6, Job ID: cfa24297-4dab-463a-818b-80d75e81365f, Call Stack: null, Custom Event ID: -1, Message: Host nott07.eng.lab was force selected by admin@internal


Expected results:
This should be blocked in can do action and return informative message to the user, and not show exceptions in the log.
Comment 1 Sandro Bonazzola 2013-11-25 06:52:02 EST
oVirt 3.3.1 has been released

Note You need to log in before you can comment on or make changes to this bug.